Subject: Re: interrupt handlers PowerPC via GCC

From: "David H. Lynch Jr." <[email-masked]>
Date: Tue, 25 Mar 2008 22:50:12 -0400

Tehn Yit Chin wrote:
> Hey Scott,
>
> Thanks for the reply, I shall investigate further.
>
> I wasn't talking about interrupt handlers in Linux as such, but using
> powerpc-eabi-gcc to write an ISR for the MPC5516. (I guess that could be
> off-topic on this mailing list, but I thought the folks on this mailing list
> would probably know the answer pretty easily). I was hoping that gcc would
> generate the prologue and epilogue code for me via the interrupt attributes.
    I know nothing about GCC's interrupt attributes,
    however, there is no problem writing ISR's  from scratch (no OS)
    for the ppc. There are several boot loaders, monitors etc. out there
with examples.
     There is even one inside the Linux Kernel source - though it i
probably far more complex than you need.

    Somewhere I have something for the ppc405 I can send you - but most
ppc's are similar.

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein